# $Id: nldict.spec,v 1.3 2003/06/11 08:42:56 ianmacd Exp $

Summary: an interface to the on-line Van Dale Hedendaags Nederlands Dutch dictionary
Name: nldict
Version: 0.9.2
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
URL: http://www.caliban.org/ruby/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
Requires: ruby

%description
nldict is a Ruby interface to the one volume Van Dale "Groot Woordenboek
Hedendaags Nederlands", a renowned dictionary of the modern Dutch language.
 
It can be used to obtain the spelling, grammatical information and the
definition of all words in the dictionary.

%prep
%setup

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc Changelog COPYING README

%changelog
* Sat Apr  5 2003 Ian Macdonald <ian@caliban.org> 0.9.2-1
- 0.9.2
- Web site changes had broken nldict

* Sat Apr  5 2003 Ian Macdonald <ian@caliban.org> 0.9.1-1
- 0.9.1
- fixed to work with http.rb in Ruby 1.8

* Fri Apr  4 2003 Ian Macdonald <ian@caliban.org> 0.9.0-1
- 0.9.0 (first release)
